cpw.mods.fml.relauncher

## Class DummyDownloader

- java.lang.Object
- - cpw.mods.fml.relauncher.DummyDownloader

- All Implemented Interfaces:
    IDownloadDisplay

      public class DummyDownloader
      extends Object
      implements IDownloadDisplay

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyDownloader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `makeDialog()`
    `void` | `makeHeadless()`
    `void` | `resetProgress(int sizeGuess)`
    `void` | `setPokeThread(Thread currentThread)`
    `boolean` | `shouldStopIt()`
    `void` | `updateProgress(int fullLength)`
    `void` | `updateProgressString(String string, Object... data)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyDownloader

          public DummyDownloader()

  - ### Method Detail

    - #### resetProgress

          public void resetProgress(int sizeGuess)

      Specified by:
        `resetProgress` in interface `IDownloadDisplay`

    - #### setPokeThread

          public void setPokeThread(Thread currentThread)

      Specified by:
        `setPokeThread` in interface `IDownloadDisplay`

    - #### updateProgress

          public void updateProgress(int fullLength)

      Specified by:
        `updateProgress` in interface `IDownloadDisplay`

    - #### shouldStopIt

          public boolean shouldStopIt()

      Specified by:
        `shouldStopIt` in interface `IDownloadDisplay`

    - #### updateProgressString

          public void updateProgressString(String string,
                                  Object... data)

      Specified by:
        `updateProgressString` in interface `IDownloadDisplay`

    - #### makeDialog

          public Object makeDialog()

      Specified by:
        `makeDialog` in interface `IDownloadDisplay`

    - #### makeHeadless

          public void makeHeadless()

      Specified by:
        `makeHeadless` in interface `IDownloadDisplay`